## scilab 6.0.2

=== debian/changelog ===
scilab (6.0.2-1fakesync4) focal; urgency=medium

  * And also fix up the .install and .docs files...

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 02 Feb 2020 09:41:17 -0800

scilab (6.0.2-1fakesync3) focal; urgency=medium

  * Fix one final wrong reference to scilab subdir.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 01 Feb 2020 22:21:48 -0800

scilab (6.0.2-1fakesync2) focal; urgency=medium

  * Adjust debian/rules for compatibility with the different upstream
    tarball layout.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 01 Feb 2020 21:17:24 -0800

scilab (6.0.2-1fakesync1) focal-proposed; urgency=medium

  * Fake sync due to mismatching orig tarball.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Jan 2020 23:15:18 -0800

scilab (6.0.2-1) unstable; urgency=medium

  * Fix d/watch (upstream changed the webpage => use github!)
  * Bump std-ver to 4.4.1.
  * Package new upstream.
  * Work on patches:
    - adddemo.diff: follow path changes.
    - appstream.patch: drop, now upstream.
    - desktop_files.patch: drop, now upstream.
    - fix_fortran_code.patch: drop, now upstream.
    - fix-ocaml-4.05.patch: drop, upstream changes fix the same issue.
    - librarypath.diff: drop, upstream changes fix the same issue.
    - jh.diff: follow path changes.
    - missing-lib.diff: follow path changes.
    - jvm-archdir-ppc64le.diff: drop, upstream.
    - libjogl2-java-2.3.2.diff: follow path changes, refresh, complete.
    - hdf5-1.10-api.patch: drop, upstream changes fix the same issue.
    - gcc-7.patch: drop, upstream.
    - lucene_4.10.patch: drop, upstream changes fix the same issue.
    - spelling.patch: refresh (most problems have been fixed upstream).
    - no_homedir.patch: drop, upstream.
    - reproducible_build.patch: follow path changes.
    - scicos_Makefile.patch: drop.
    - java_9.patch: follow path changes, refresh, complete.
    - force_java_home.patch: follow path changes, refresh.
    - set_class_path.patch: follow path changes, refresh.
    - use_outside_font.patch: follow path changes.
    - java11-compatibility.patch: follow path changes.
    - force-fop-jar-into-classpath.patch: follow path changes.
  * Make debian/rules find the sources.
  * Add new patch lucene4.10.patch.
  * Add time as build-dep.
  * Fix install target.
  * Fix desktop files paths.
  * Fix doc files paths.
  * Clean more files from the packages.
  * Remove obsolete lintian override.
  * Add depend on libnum-ocaml-dev (Closes: #934047).
  * Add patch to get around Debian's ATLAS #947827.
  * Add patch to work with more recent OCaml versions.
  * Fix spelling mistakes (update spelling.patch).
  * Add find_libs.patch so scilab actually finds its libs.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 03 Jan 2020 10:05:22 +0100

scilab (6.0.1-10) unstable; urgency=medium

  [ Alexis Murzeau ]
  * Fix a startup issue with scilab-cli & scilab-adv-cli
    (Closes: #907607)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 18 May 2019 13:50:11 +0200

scilab (6.0.1-9) unstable; urgency=medium

  * Team upload.
  * Remove armel, mips and mipsel from the list of supported architectures,
    since libjogl2-jni is no longer available on these. (Closes: #926069)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 31 Mar 2019 15:13:06 +0200

scilab (6.0.1-8) unstable; urgency=medium

  * Team upload.
  * fix-desktop-startup.patch: new patch taken from upstream. Thanks to
    Matthias Klose. (Closes: #925020)

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 30 Mar 2019 14:30:19 +0100

=== debian/control ===
Source: scilab
Section: math
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Build-Depends: debhelper (>= 11), gfortran, time,
 default-jdk, chrpath, ocaml-nox (>= 3.11.2-3), libnum-ocaml-dev, fakeroot,
 tcl-dev, tk-dev, libxml2-dev, libpcre3-dev, libcurl4-openssl-dev,
 gettext, libreadline-dev, pkg-config, procps, dpkg-dev (>= 1.16.0),
# numerical libraries
 libblas-dev | librefblas3-dev | libatlas-base-dev, liblapack-dev,
 libarpack2-dev (>= 3.0), libeigen3-dev,
# Java deps
 default-jre-headless, libflexdock-java (>= 1.2.3), libjogl2-java (>= 2.3.2),
 libgl1-mesa-dev, libjrosetta-java (>= 1.0.1), ant, libjgoodies-looks-java,
 libskinlf-java, liblucene4.10-java, libactivation-java, libjaxb-java,
# graphic
 libfreehep-graphics2d-java, libfreehep-graphicsio-emf-java,
# Documentation
 libjeuclid-core-java (>= 3.1.3), libbatik-java (>= 1.7), fop (>= 0.95),
 javahelp2, libsaxon-java, libavalon-framework-java, docbook-xsl,
 libxml-commons-external-java,
# Optional Scilab features
 libfftw3-dev, libsuitesparse-dev (>= 3.4.0),
 libmatio-dev (>= 1.5.0),
# latex rendering
 libjlatexmath-java (>= 1.0.2),  libjlatexmath-fop-java (>= 1.0.2),
# Xcos
 libjgraphx-java (>= 1.8.0.0), libhdf5-dev (>= 1.8.8),
# MPI
 mpi-default-dev,
# Java binding
 libecj-java,
# Unitary testing
 ant-optional, junit4, libcobertura-java
Standards-Version: 4.4.1
Homepage: https://www.scilab.org
Vcs-Git: https://salsa.debian.org/science-team/scilab.git
Vcs-Browser: https://salsa.debian.org/science-team/scilab

Package: scilab-cli
Architecture: all
Depends: scilab-minimal-bin (>= ${source:Version}),
 scilab-data (= ${binary:Version}), ${misc:Depends},
 scilab-include (>= ${source:Version})
# scilab-include is installed by default since it is widely used by many
# toolboxes
Recommends: scilab-sivp (>= 0.5.2)
Suggests: gfortran, gcc, scilab-swt, scilab-scimax, scilab-plotlib, scilab-ann
# For the dynamic link
Description: Scientific software package - Command Line Interpreter
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for
 control, signal processing, ...
 .
 This package provides Scilab as Command Line Interpreter (CLI). This package
 provides Scilab as a computing engine or script interpreter.
 Please install the package "scilab" to have all features.

Package: scilab
Architecture: all
Depends: scilab-cli (>= ${source:Version}), ${misc:Depends}, scilab-full-bin
Recommends: scilab-doc (= ${binary:Version}),
Suggests: scilab-doc-fr (= ${binary:Version}),
 scilab-doc-pt-br (= ${binary:Version}),
 scilab-doc-ja (= ${binary:Version})
Description: Scientific software package for numerical computations
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for control, signal
 processing, ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 For a minimum version of scilab, install package "scilab-cli".

Package: scilab-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Scientific software package for numerical computations (data files)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for
 control, signal processing, ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 This package contains the data files for Scilab.


Package: scilab-include
# any because of the bug #550243
Architecture: amd64 armhf i386 powerpc s390x arm64 ppc64el
Depends: ${misc:Depends}
Description: Scientific software package for numerical computations (include files)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for
 control, signal processing, ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 This package contains the include files for Scilab (used in the dynamic link).


Package: scilab-minimal-bin
Architecture: amd64 armhf i386 powerpc s390x arm64 ppc64el
Depends: ${shlibs:Depends}, scilab-data (= ${source:Version}),
 ${misc:Depends}, default-jre-headless
Replaces: scilab-bin, scilab-full-bin (<< 5.4.1-3)
Breaks: scilab-full-bin (<< 5.4.1-3)
Description: Scientific software package for numerical computations (minimal binary files)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for
 control, signal processing, ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 This package contains the architecture specific binary files.
 All mandatory libraries for scilab-cli are shipped in this package.
 Please install the package "scilab" to have all features.

Package: scilab-full-bin
Architecture: amd64 armhf i386 powerpc s390x arm64 ppc64el
Depends: ${shlibs:Depends}, scilab-minimal-bin (= ${binary:Version}),
 libflexdock-java (>= 1.2.3), libjogl2-java (>= 2.3.2), libjrosetta-java (>= 1.0.1),
 libjlatexmath-java (>= 1.0.2), libjlatexmath-fop-java (>= 1.0.2),
 libjeuclid-core-java, libbatik-java (>= 1.7), default-jre, bwidget,
 fop (>= 0.95), libsaxon-java, libavalon-framework-java, docbook-xsl,
 javahelp2, libjgraphx-java (>= 1.8.0.0), libjgoodies-looks-java,
 libskinlf-java, ${misc:Depends}, libecj-java, libfreehep-graphics2d-java,
 libfreehep-graphicsio-emf-java, liblucene4.10-java, libactivation-java,
 libjaxb-java
Replaces: scilab (<< 5.0), scilab-bin, scilab-minimal-bin (<< 5.4.1-3), libscilab2-java (<< 5.4.1-4)
Breaks: scilab-minimal-bin (<< 5.4.1-3), libscilab2-java (<< 5.4.1-4)
Description: Scientific software package for numerical computations (all binary files)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for
 control, signal processing ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 .
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 This package contains the architecture specific binary files.

Package: scilab-doc
Section: doc
Depends: ${misc:Depends}
Architecture: all
Multi-Arch: foreign
Description: Scientific software package (English documentations)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for
 control, signal processing, ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 This package contains demos, examples and help pages.

Package: scilab-doc-fr
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: scilab-doc, ${misc:Depends}
Description: Scientific software package (French documentation)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for
 control, signal processing, ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 This package contains help pages in French.

Package: scilab-doc-pt-br
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: scilab-doc, ${misc:Depends}
Description: Scientific software package (Brazilian Portuguese documentation)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for
 control, signal processing, ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 This package contains help pages in Brazilian Portuguese documentation.

Package: scilab-doc-ja
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: scilab-doc, ${misc:Depends}
Description: Scientific software package (Japanese documentation)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CONFIGURE_ARGS += --prefix=/usr \
	--with-fftw \
	--with-umfpack --enable-build-localization \
	--with-install-help-xml --enable-build-help \
	--with-tcl-library=/usr/lib/$(DEB_HOST_MULTIARCH) \
	--enable-mpi --disable-static-system-lib

ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial/libhdf5.so),)
  CONFIGURE_ARGS += --with-hdf5-include=/usr/include/hdf5/serial \
	        --with-hdf5-library=/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
endif

# requires ocamlopt
ifneq (,$(filter $(DEB_HOST_ARCH),arm64 armel ppc64el mips mipsel s390x sparc))
  CONFIGURE_ARGS += --without-modelica
endif

ifneq (,$(findstring $(DEB_HOST_ARCH),amd64))
	DOC=1
else
	DOC=0
endif

%:
	dh $@

# Do not run libtoolize because it can mess up with Scilab library
override_dh_autoreconf:
	autoreconf

override_dh_auto_configure:
	./configure $(CONFIGURE_ARGS)

override_dh_auto_build:
ifeq ($(DOC), 1)
	make all doc
else
	make all
endif

# doesn't work
override_dh_auto_test:

override_dh_installchangelogs:
	dh_installchangelogs scilab/CHANGES.md

override_dh_auto_install:
	make install install-data install-html \
		prefix=$(CURDIR)/debian/tmp/usr \
		bindir=$(CURDIR)/debian/tmp/usr/bin \
		datadir=$(CURDIR)/debian/tmp/usr/share/ \
		sharedir=$(CURDIR)/debian/tmp/usr/share/ \
		docdir=$(CURDIR)/debian/tmp/usr/share/doc/

# Remove empty directories but not files (#907607: scilab-cli doesn't start)
	find debian/tmp/usr/share/scilab -type d -empty -delete
# Remove la files
	find debian/tmp/usr/lib/ -name '*.la' -delete
# Remove deps files
	rm -rf `find debian/tmp -type d -name .deps`
# Remove extra license files to make lintian happier
# See debian/copyright for them
	find debian/tmp/usr/share/scilab -type f -name "*license.txt" -delete
# Remove all readme files and the changelog (it is in /usr/share/doc/scilab/)
	find debian/tmp/usr/share/scilab -type f -iname "readme*" -delete
	find debian/tmp/usr/share/scilab -type f -name CHANGES.md -delete
# Remove COPYING file
	rm debian/tmp/usr/share/scilab/COPYING
# Remove Visual project files
	find debian/tmp/usr/share/scilab -name "*.sln" -delete
# Remove a font file which is already shipped in another package
	find debian/tmp/usr/share/scilab -name "*.ttf" -delete
# Remove dll files
	find debian/tmp -name "*.dll" -delete
	find debian/tmp -name "*.dll *" -delete
# Remove strange debug files
	find debian/tmp -name .build-id -type d -exec rm -r {} \;
# Remove git files
	find debian/tmp -name .gitignore -delete

# Remove dead code
	rm -rf debian/tmp/usr/share/scilab/modules/helptools/bin debian/tmp/usr/share/scilab/modules/tclsci/demos/tk/timer debian/tmp/usr/share/scilab/modules/intersci/examples/sedprov debian/tmp/usr/share/scilab/modules/macros

	mkdir -p $(CURDIR)/debian/scilab-cli/usr/share/icons/
	cp -R debian/tmp/usr/share/icons/hicolor/ $(CURDIR)/debian/scilab-cli/usr/share/icons/

# Management of the tests, help and demos
	for dir in debian/tmp/usr/share/scilab/modules/*; do \
		moduleName=`echo $$dir|sed -e "s|.*/\(.*\)|\1|"`; \
		target=$(CURDIR)/debian/scilab-doc/usr/share/scilab/modules/$$moduleName; \
		target_test=$(CURDIR)/debian/scilab-test/usr/share/scilab/modules/$$moduleName; \
		# Move tests in the right package; \
		if test -d $$dir/tests; then \
			mkdir -p $$target_test; \
			mv $$dir/tests $$target_test; \
		fi; \
		# Move the help in the right package; \
		if test -d $$dir/help/en_US; then \
			mkdir -p $$target/help; \
			mv $$dir/help/en_US $$target/help; \
		fi; \
		if test -d $$dir/demos; then \
			mv $$dir/demos $$target; \
		fi; \
		if test -d $$dir/help/fr_FR; then \
			mkdir -p $(CURDIR)/debian/scilab-doc-fr/usr/share/scilab/modules/$$moduleName/help; \
			mv $$dir/help/fr_FR $(CURDIR)/debian/scilab-doc-fr/usr/share/scilab/modules/$$moduleName/help/; \
		fi; \
		if test -d $$dir/help/pt_BR; then \
			mkdir -p $(CURDIR)/debian/scilab-doc-pt-br/usr/share/scilab/modules/$$moduleName/help; \
			mv $$dir/help/pt_BR $(CURDIR)/debian/scilab-doc-pt-br/usr/share/scilab/modules/$$moduleName/help/; \
		fi; \
		if test -d $$dir/help/ja_JP; then \
			mkdir -p $(CURDIR)/debian/scilab-doc-ja/usr/share/scilab/modules/$$moduleName/help; \
			mv $$dir/help/ja_JP $(CURDIR)/debian/scilab-doc-ja/usr/share/scilab/modules/$$moduleName/help/; \
		fi; \
	done
	# Remove empty directories
	find debian/tmp/usr/share/scilab -type d -empty -delete

ifeq ($(DOC), 1)
	mkdir $(CURDIR)/debian/scilab-doc/usr/share/scilab/modules/helptools/jar/
	EN_US_DOC=$(CURDIR)/debian/tmp/usr/share/scilab/modules/helptools/jar/scilab_en_US_help.jar; \
	mv $$EN_US_DOC $(CURDIR)/debian/scilab-doc/usr/share/scilab/modules/helptools/jar/

	mkdir $(CURDIR)/debian/scilab-doc-fr/usr/share/scilab/modules/helptools/jar/
	FR_FR_DOC=$(CURDIR)/debian/tmp/usr/share/scilab/modules/helptools/jar/scilab_fr_FR_help.jar; \
	mv $$FR_FR_DOC $(CURDIR)/debian/scilab-doc-fr/usr/share/scilab/modules/helptools/jar/

	mkdir $(CURDIR)/debian/scilab-doc-pt-br/usr/share/scilab/modules/helptools/jar/
	PT_BR_DOC=$(CURDIR)/debian/tmp/usr/share/scilab/modules/helptools/jar/scilab_pt_BR_help.jar; \
	mv $$PT_BR_DOC $(CURDIR)/debian/scilab-doc-pt-br/usr/share/scilab/modules/helptools/jar/

	mkdir -p $(CURDIR)/debian/scilab-doc-ja/usr/share/scilab/modules/helptools/jar/
	JA_DOC=$(CURDIR)/debian/tmp/usr/share/scilab/modules/helptools/jar/scilab_ja_JP_help.jar; \
	mv $$JA_DOC $(CURDIR)/debian/scilab-doc-ja/usr/share/scilab/modules/helptools/jar/
endif

	mkdir -p $(CURDIR)/debian/scilab-minimal-bin/usr/bin
	mv $(CURDIR)/debian/tmp/usr/bin/scilab-cli-bin $(CURDIR)/debian/scilab-minimal-bin/usr/bin/

# Move binaries
	mkdir -p $(CURDIR)/debian/scilab-full-bin/usr/bin
	mv $(CURDIR)/debian/tmp/usr/bin/scilab-bin $(CURDIR)/debian/scilab-full-bin/usr/bin/
	if test -s $(CURDIR)/debian/tmp/usr/bin/modelicac; then \
		chrpath -d $(CURDIR)/debian/tmp/usr/bin/modelicac $(CURDIR)/debian/tmp/usr/bin/XML2Modelica $(CURDIR)/debian/tmp/usr/bin/modelicat; \
		mv $(CURDIR)/debian/tmp/usr/bin/modelicac $(CURDIR)/debian/tmp/usr/bin/XML2Modelica $(CURDIR)/debian/tmp/usr/bin/modelicat $(CURDIR)/debian/scilab-full-bin/usr/bin/; \
	fi
# Move the javasci2 lib
	mkdir -p $(CURDIR)/debian/scilab-full-bin/usr/share/java/
	mkdir -p $(CURDIR)/debian/scilab-full-bin/usr/lib/jni/
	cp debian/tmp/usr/share/scilab/modules/javasci/jar/org.scilab.modules.javasci.jar $(CURDIR)/debian/scilab-full-bin/usr/share/java/
	mv debian/tmp/usr/lib/scilab/libjavasci2.so*  $(CURDIR)/debian/scilab-full-bin/usr/lib/jni/

=== debian/watch ===
version=4
https://github.com/scilab/scilab/releases .*/([\d\.]+)\.tar\.gz

## scilab 6.1.0%2Bdfsg1

=== scilab/contrib/toolbox_skeleton/DESCRIPTION ===
// Modify this file to provide a description of your toolbox.
// This file is used by Atoms GUI in scilab, to show information about the toolbox.
//
// Note that it will NOT be used when publishing your toolbox on http://atoms.scilab.org;
// the present file is only used if you distribute your toolbox yourself.
// On the http://atoms.scilab.org site, only the information you provide there is used.
//
//
// Lines starting with // are comments
// (you can remove all the comments designed to help you)
// Lines starting with a space are continuation of the previous field.
// Empty lines separate fields.


// Unique identifier for this toolbox.
// It must be alphanumeric, start with a letter and contain neither space
// nor special characters other than underscore or dash.
Toolbox: toolbox_skeleton

// Human-friendly name for your toolbox
Title: Toolbox Skeleton

// One-line description for your toolbox
Summary: Skeleton of a valid atoms package

// Version number, in format 'major.minor.patch', or
// 'major.minor.patch', where all fields are numbers.
// If you are just starting your toolbox, you should use '0.1' or '0.1.0'.
// Use '1.0' or '1.0.0' for a tested, good quality first version.
Version: 0.1.0

// Name(s) of the author(s) of this toolbox.
// They are usually the original copyright holders
// (persons or entities)
Author: Your Name
  Other Author

// Name(s) and email address(es) of the person(s) maintaining this toolbox
Maintainer: Your Name <name@address.com>
  Other Maintainer <othername@address.com>

// Categories that this toolbox belongs to.
// The toolbox will appear in the Scilab Atoms GUI
// under the categories that you select here.
Category: biology - Robotic_2
 CatB - SScat2
 biology - modelisation_III

// Name of the institution (company, university, lab...) who has developped the toolbox.
// If you developped the toolbox as an individual, then just enter "private individual"
Entity: Scilab Enterprises

// Optional website that has more information about this toolbox
WebSite: http://www.scilab.org

// License under which the toolbox will be published
License: GPL 2.0

// Version of Scilab supported by this toolbox,
// prefixed by =, >= ...
ScilabVersion: >= 6.0

// Other toolbox(es) that must be installed in order
// this toolboxes to work. Atoms will automatically ensure that
// the dependent toolboxes listed here are installed on the user's
// Scilab installation.
// Each toolbox dependency must be in format:
//    <operator> <toolbox name> <toolbox version|any>
// where operator can be: ~, >, <, >=, <=
// If multiple dependencies, put one per line (starting each line with a space)
Depends: 

// Creation date
Date: 2016-03-01

Description: Succinct presentation of this toolbox.

 It should cover:
 - What problem the toolbox solves,
 - If it requires any third-party software or hardware,
   and how to install them,
 - Some basics about how to use it, such as an example of use.
 but ensuring that each line starts with a space.

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: scilab
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Team <debian-science-maintainers@alioth-lists.debian.net>
 Uploaders: Julien Puydt <jpuydt@debian.org>
-Build-Depends: debhelper (>= 11), gfortran, time,
+Build-Depends: debhelper-compat (= 13), gfortran, time,
  default-jdk, chrpath, ocaml-nox (>= 3.11.2-3), libnum-ocaml-dev, fakeroot,
  tcl-dev, tk-dev, libxml2-dev, libpcre3-dev, libcurl4-openssl-dev,
  gettext, libreadline-dev, pkg-config, procps, dpkg-dev (>= 1.16.0),
@@ -16,14 +15,15 @@
  libgl1-mesa-dev, libjrosetta-java (>= 1.0.1), ant, libjgoodies-looks-java,
  libskinlf-java, liblucene4.10-java, libactivation-java, libjaxb-java,
 # graphic
- libfreehep-graphics2d-java, libfreehep-graphicsio-emf-java,
+ libfreehep-graphics2d-java, libfreehep-graphicsio-java, libfreehep-graphicsio-emf-java,
+ libfreehep-util-java,
 # Documentation
  libjeuclid-core-java (>= 3.1.3), libbatik-java (>= 1.7), fop (>= 0.95),
  javahelp2, libsaxon-java, libavalon-framework-java, docbook-xsl,
  libxml-commons-external-java,
 # Optional Scilab features
  libfftw3-dev, libsuitesparse-dev (>= 3.4.0),
- libmatio-dev (>= 1.5.0),
+ libmatio-dev (>= 1.5.18),
 # latex rendering
  libjlatexmath-java (>= 1.0.2),  libjlatexmath-fop-java (>= 1.0.2),
 # Xcos
@@ -34,7 +34,8 @@
  libecj-java,
 # Unitary testing
  ant-optional, junit4, libcobertura-java
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Homepage: https://www.scilab.org
 Vcs-Git: https://salsa.debian.org/science-team/scilab.git
 Vcs-Browser: https://salsa.debian.org/science-team/scilab

## scilab 6.1.0+dfsg1

=== DESCRIPTION ===
Toolbox: toolbox_7V6

Title: Toolbox Test 7 for Scilab 6

Summary: Toolbox Test 7 for Scilab 6

Version: 1.0

Author: vincent.couvert@scilab-enterprises.com

Maintainer: Vincent Couvert <vincent.couvert@scilab-enterprises.com>

Category: Tests

Entity: Scilab Enterprises

WebSite: 

URL: http://atoms.scilab.org/toolboxes/toolbox_7V6/1.0

License: CeCILL

ScilabVersion: >= 6.0

Depends: 

Date: 2015-06-05 14:40:11

Description: Test the Atoms system
 
 It contains 4 functions :
 
  - t7_version()
 
  - t7_function1()
  - t7_function2()
  - t7_function3()

=== scilab/modules/javasci/examples/v2/Makefile ===
# A sample Makefile to build a Javasci v2-based application
# Path to Scilab data
SCI = /path/to/scilab/share/scilab/
# Java API
CLASSPATH = $(SCI)/modules/javasci/jar/org.scilab.modules.javasci.jar:$(SCI)/modules/types/jar/org.scilab.modules.types.jar
# Path to native libs
LIB_PATH = $(SCI)/../../lib/scilab/
# Scilab binary: /path/to/scilab/lib/scilab/
# with the source version: $(SCI)/modules/javasci/.libs/:$(SCI)/modules/.libs/
all:
	javac -cp $(CLASSPATH) Example1.java
	java -cp $(CLASSPATH):. -DSCI=$(SCI) -Djava.library.path=$(LIB_PATH) Example1

=== debian/changelog ===
scilab (6.1.0+dfsg1-7) unstable; urgency=medium

  [ Sébastien Villemot ]
  * libmatio-1.5.18.patch: new patch, fixes FTBFS against libmatio ≥ 1.5.18.
    By the way, also tighten versioned Build-Depends on libmatio.
    (Closes: #971902)

  [ Julien Puydt ]
  * Forward the libmatio-1.5.18 patch to upstream.
  * Bump std-vers to 4.5.1.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 21 Nov 2020 11:42:41 +0100

scilab (6.1.0+dfsg1-6) unstable; urgency=medium

  * Fix desktop-related files' choice of package. (Closes: #967078)
  * Better document patches.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 04 Aug 2020 21:08:07 +0200

scilab (6.1.0+dfsg1-5) unstable; urgency=medium

  * Add patch to fix gcc 10 compilation. (Closes: #957782)
  * Bump dh compat to level 13.
  * Update team mailing list address.
  * Declare d/rules doesn't require root.
  * Add b-dep on libfreehep-graphicsio-java and libfreehep-util-java.
  * Install more desktop-related files (appdata, icons...).
  * Add empty override_dh_dwz to work around #965372.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 02 Aug 2020 18:16:26 +0200

scilab (6.1.0+dfsg1-4) unstable; urgency=high

  * Team upload.

  [ Olivier Tilloy ]
  * Update runtime dependency on the transitional dummy ttf-dejavu-core
    (which was dropped from unstable) to fonts-dejavu-core (Closes: #962198)
    - debian/control
    - debian/patches/use_outside_font.patch

  [ Boyuan Yang ]
  * Pick upstream downstream Ubuntu's patch on fixing FTBFS with
    newer libicu. (Closes: #962555)

 -- Boyuan Yang <byang@debian.org>  Tue, 09 Jun 2020 15:37:29 -0400

scilab (6.1.0+dfsg1-3) unstable; urgency=medium

  * Update the addLibraryPath patch so it works with
  both openjdk 11.0.6 and 11.0.7.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 01 May 2020 16:41:33 +0200

scilab (6.1.0+dfsg1-2) unstable; urgency=medium

  * Add new patch to avoid FTBFS with newer libxml2 (Closes: #949494).
  * Make the classpath less sensible to version changes (Closes: #892254).
  * Add new patch from Gilles Filippini to fix NullPointerException with
    openjdk >= 11.0.7-9 (Closes: #955694, #956908).
  * Add patch to the appdata file so it points to the right desktop file.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 23 Apr 2020 10:41:11 +0200

scilab (6.1.0+dfsg1-1) unstable; urgency=medium

  * Package new upstream release 6.1.0.
  * Refresh all patches, dropping only the spelling one.
  * Switch from d/compat to dh-compat, and level 12.
  * Bump std-vers to 4.5.0.
  * Make sure files new in this release get installed.
  * Rewrite d/copyright, hence going to +dfsg1.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 01 Mar 2020 17:03:05 +0100

=== debian/watch ===
version=4
opts="\
repacksuffix=+dfsg1,\
dversionmangle=s/\+dfsg.*$//,\
compression=xz,\
" \
https://github.com/scilab/scilab/releases .*/([\d\.]+)\.tar\.gz

## scilab 6.1.1%2Bdfsg2

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 include /usr/share/dpkg/architecture.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export CCACHE_DIR := $(CURDIR)/debian/ccache
 
 CONFIGURE_ARGS += --prefix=/usr \
 	--with-fftw \
@@ -28,20 +29,20 @@
 endif
 
 %:
-	dh $@
+	dh $@ --sourcedirectory=scilab
 
 # Do not run libtoolize because it can mess up with Scilab library
 override_dh_autoreconf:
-	autoreconf
+	cd scilab && autoreconf
 
 override_dh_auto_configure:
-	./configure $(CONFIGURE_ARGS)
+	cd scilab && ./configure $(CONFIGURE_ARGS)
 
 override_dh_auto_build:
 ifeq ($(DOC), 1)
-	make all doc
+	cd scilab && make all doc
 else
-	make all
+	cd scilab && make all
 endif
 
 # doesn't work
@@ -51,7 +52,7 @@
 	dh_installchangelogs scilab/CHANGES.md
 
 override_dh_auto_install:
-	make install install-data install-html \
+	make -C scilab install install-data install-html \
 		prefix=$(CURDIR)/debian/tmp/usr \
 		bindir=$(CURDIR)/debian/tmp/usr/bin \
 		datadir=$(CURDIR)/debian/tmp/usr/share/ \
@@ -157,3 +158,5 @@
 	mkdir -p $(CURDIR)/debian/scilab-full-bin/usr/lib/jni/
 	cp debian/tmp/usr/share/scilab/modules/javasci/jar/org.scilab.modules.javasci.jar $(CURDIR)/debian/scilab-full-bin/usr/share/java/
 	mv debian/tmp/usr/lib/scilab/libjavasci2.so*  $(CURDIR)/debian/scilab-full-bin/usr/lib/jni/
+
+override_dh_dwz:
